be.fgov.ehealth.dics.protocol.v5

## Class ConsultChapterIVVerseType

- java.lang.Object
- - be.fgov.ehealth.dics.protocol.v5.ConsultChapterIVVerseType

- All Implemented Interfaces:
    Serializable

      @Generated(value="com.sun.tools.xjc.Driver",
                 date="2022-12-09T11:12:51+01:00",
                 comments="JAXB RI v2.2.11")
      public class ConsultChapterIVVerseType
      extends Object
      implements Serializable

  Java class for ConsultChapterIVVerseType complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="ConsultChapterIVVerseType">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element name="CreatedTimestamp" type="{http://www.w3.org/2001/XMLSchema}dateTime"/>
               <element name="CreatedUserId" type="{http://www.w3.org/2001/XMLSchema}string"/>
               <element name="VerseNum" type="{http://www.w3.org/2001/XMLSchema}int"/>
               <element name="VerseSeqParent" type="{http://www.w3.org/2001/XMLSchema}int"/>
               <element name="VerseLevel" type="{http://www.w3.org/2001/XMLSchema}int"/>
               <element name="VerseType" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
               <element name="CheckBoxInd" type="{http://www.w3.org/2001/XMLSchema}boolean"/>
               <element name="MinCheckNum" type="{http://www.w3.org/2001/XMLSchema}int" minOccurs="0"/>
               <element name="AndClauseNum" type="{http://www.w3.org/2001/XMLSchema}int" minOccurs="0"/>
               <element name="Text" type="{urn:be:fgov:ehealth:dics:protocol:v5}ConsultChapterIVTextType"/>
               <element name="RequestType" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
               <element name="AgreementTerm" type="{urn:be:fgov:ehealth:dics:protocol:v5}QuantityType" minOccurs="0"/>
               <element name="MaxPackageNumber" type="{http://www.w3.org/2001/XMLSchema}int" minOccurs="0"/>
               <element name="PurchasingAdvisorQualList" type="{urn:be:fgov:ehealth:dics:protocol:v5}ConsultChapterIVQualificationListType" minOccurs="0"/>
               <element name="LegalReference" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
               <element name="ModificationDate" type="{http://www.w3.org/2001/XMLSchema}date" minOccurs="0"/>
               <element name="AgreementYearMax" type="{http://www.w3.org/2001/XMLSchema}int" minOccurs="0"/>
               <element name="AgreementRenewalMax" type="{http://www.w3.org/2001/XMLSchema}int" minOccurs="0"/>
               <element name="SexRestricted" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
               <element name="MinimumAgeAuthorized" type="{urn:be:fgov:ehealth:dics:protocol:v5}QuantityType" minOccurs="0"/>
               <element name="MaximumAgeAuthorized" type="{urn:be:fgov:ehealth:dics:protocol:v5}QuantityType" minOccurs="0"/>
               <element name="MaximumContent" type="{urn:be:fgov:ehealth:dics:protocol:v5}QuantityType" minOccurs="0"/>
               <element name="MaximumStrength" type="{urn:be:fgov:ehealth:dics:protocol:v5}QuantityType" minOccurs="0"/>
               <element name="MaximumDuration" type="{urn:be:fgov:ehealth:dics:protocol:v5}QuantityType" minOccurs="0"/>
               <element name="OtherAddedDocumentInd" type="{http://www.w3.org/2001/XMLSchema}boolean" minOccurs="0"/>
               <element name="ModificationStatus" type="{http://www.w3.org/2001/XMLSchema}string"/>
               <element name="AddedDocument" type="{urn:be:fgov:ehealth:dics:protocol:v5}ConsultChapterIVAddedDocumentType" maxOccurs="unbounded" minOccurs="0"/>
             </sequence>
             <attGroup ref="{urn:be:fgov:ehealth:dics:protocol:v5}validityPeriod"/>
             <attribute name="VerseSeq" use="required" type="{http://www.w3.org/2001/XMLSchema}int" />
           </restriction>
         </complexContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ConsultChapterIVVerseType()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<ConsultChapterIVAddedDocumentType>` | `getAddedDocuments()` Gets the value of the addedDocuments property.
    `Integer` | `getAgreementRenewalMax()` Gets the value of the agreementRenewalMax property.
    `QuantityType` | `getAgreementTerm()` Gets the value of the agreementTerm property.
    `Integer` | `getAgreementYearMax()` Gets the value of the agreementYearMax property.
    `Integer` | `getAndClauseNum()` Gets the value of the andClauseNum property.
    `org.joda.time.DateTime` | `getCreatedTimestamp()` Gets the value of the createdTimestamp property.
    `String` | `getCreatedUserId()` Gets the value of the createdUserId property.
    `org.joda.time.DateTime` | `getEndDate()` Gets the value of the endDate property.
    `String` | `getLegalReference()` Gets the value of the legalReference property.
    `QuantityType` | `getMaximumAgeAuthorized()` Gets the value of the maximumAgeAuthorized property.
    `QuantityType` | `getMaximumContent()` Gets the value of the maximumContent property.
    `QuantityType` | `getMaximumDuration()` Gets the value of the maximumDuration property.
    `QuantityType` | `getMaximumStrength()` Gets the value of the maximumStrength property.
    `Integer` | `getMaxPackageNumber()` Gets the value of the maxPackageNumber property.
    `Integer` | `getMinCheckNum()` Gets the value of the minCheckNum property.
    `QuantityType` | `getMinimumAgeAuthorized()` Gets the value of the minimumAgeAuthorized property.
    `org.joda.time.DateTime` | `getModificationDate()` Gets the value of the modificationDate property.
    `String` | `getModificationStatus()` Gets the value of the modificationStatus property.
    `ConsultChapterIVQualificationListType` | `getPurchasingAdvisorQualList()` Gets the value of the purchasingAdvisorQualList property.
    `String` | `getRequestType()` Gets the value of the requestType property.
    `String` | `getSexRestricted()` Gets the value of the sexRestricted property.
    `org.joda.time.DateTime` | `getStartDate()` Gets the value of the startDate property.
    `ConsultChapterIVTextType` | `getText()` Gets the value of the text property.
    `int` | `getVerseLevel()` Gets the value of the verseLevel property.
    `int` | `getVerseNum()` Gets the value of the verseNum property.
    `int` | `getVerseSeq()` Gets the value of the verseSeq property.
    `int` | `getVerseSeqParent()` Gets the value of the verseSeqParent property.
    `String` | `getVerseType()` Gets the value of the verseType property.
    `boolean` | `isCheckBoxInd()` Gets the value of the checkBoxInd property.
    `Boolean` | `isOtherAddedDocumentInd()` Gets the value of the otherAddedDocumentInd property.
    `void` | `setAgreementRenewalMax(Integer value)` Sets the value of the agreementRenewalMax property.
    `void` | `setAgreementTerm(QuantityType value)` Sets the value of the agreementTerm property.
    `void` | `setAgreementYearMax(Integer value)` Sets the value of the agreementYearMax property.
    `void` | `setAndClauseNum(Integer value)` Sets the value of the andClauseNum property.
    `void` | `setCheckBoxInd(boolean value)` Sets the value of the checkBoxInd property.
    `void` | `setCreatedTimestamp(org.joda.time.DateTime value)` Sets the value of the createdTimestamp property.
    `void` | `setCreatedUserId(String value)` Sets the value of the createdUserId property.
    `void` | `setEndDate(org.joda.time.DateTime value)` Sets the value of the endDate property.
    `void` | `setLegalReference(String value)` Sets the value of the legalReference property.
    `void` | `setMaximumAgeAuthorized(QuantityType value)` Sets the value of the maximumAgeAuthorized property.
    `void` | `setMaximumContent(QuantityType value)` Sets the value of the maximumContent property.
    `void` | `setMaximumDuration(QuantityType value)` Sets the value of the maximumDuration property.
    `void` | `setMaximumStrength(QuantityType value)` Sets the value of the maximumStrength property.
    `void` | `setMaxPackageNumber(Integer value)` Sets the value of the maxPackageNumber property.
    `void` | `setMinCheckNum(Integer value)` Sets the value of the minCheckNum property.
    `void` | `setMinimumAgeAuthorized(QuantityType value)` Sets the value of the minimumAgeAuthorized property.
    `void` | `setModificationDate(org.joda.time.DateTime value)` Sets the value of the modificationDate property.
    `void` | `setModificationStatus(String value)` Sets the value of the modificationStatus property.
    `void` | `setOtherAddedDocumentInd(Boolean value)` Sets the value of the otherAddedDocumentInd property.
    `void` | `setPurchasingAdvisorQualList(ConsultChapterIVQualificationListType value)` Sets the value of the purchasingAdvisorQualList property.
    `void` | `setRequestType(String value)` Sets the value of the requestType property.
    `void` | `setSexRestricted(String value)` Sets the value of the sexRestricted property.
    `void` | `setStartDate(org.joda.time.DateTime value)` Sets the value of the startDate property.
    `void` | `setText(ConsultChapterIVTextType value)` Sets the value of the text property.
    `void` | `setVerseLevel(int value)` Sets the value of the verseLevel property.
    `void` | `setVerseNum(int value)` Sets the value of the verseNum property.
    `void` | `setVerseSeq(int value)` Sets the value of the verseSeq property.
    `void` | `setVerseSeqParent(int value)` Sets the value of the verseSeqParent property.
    `void` | `setVerseType(String value)` Sets the value of the verseType property.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ConsultChapterIVVerseType

          public ConsultChapterIVVerseType()

  - ### Method Detail

    - #### getCreatedTimestamp

          public org.joda.time.DateTime getCreatedTimestamp()

      Gets the value of the createdTimestamp property.
      Returns:
        possible object is `String`

    - #### setCreatedTimestamp

          public void setCreatedTimestamp(org.joda.time.DateTime value)

      Sets the value of the createdTimestamp property.
      Parameters:
        `value` - allowed object is `String`

    - #### getCreatedUserId

          public String getCreatedUserId()

      Gets the value of the createdUserId property.
      Returns:
        possible object is `String`

    - #### setCreatedUserId

          public void setCreatedUserId(String value)

      Sets the value of the createdUserId property.
      Parameters:
        `value` - allowed object is `String`

    - #### getVerseNum

          public int getVerseNum()

      Gets the value of the verseNum property.

    - #### setVerseNum

          public void setVerseNum(int value)

      Sets the value of the verseNum property.

    - #### getVerseSeqParent

          public int getVerseSeqParent()

      Gets the value of the verseSeqParent property.

    - #### setVerseSeqParent

          public void setVerseSeqParent(int value)

      Sets the value of the verseSeqParent property.

    - #### getVerseLevel

          public int getVerseLevel()

      Gets the value of the verseLevel property.

    - #### setVerseLevel

          public void setVerseLevel(int value)

      Sets the value of the verseLevel property.

    - #### getVerseType

          public String getVerseType()

      Gets the value of the verseType property.
      Returns:
        possible object is `String`

    - #### setVerseType

          public void setVerseType(String value)

      Sets the value of the verseType property.
      Parameters:
        `value` - allowed object is `String`

    - #### isCheckBoxInd

          public boolean isCheckBoxInd()

      Gets the value of the checkBoxInd property.

    - #### setCheckBoxInd

          public void setCheckBoxInd(boolean value)

      Sets the value of the checkBoxInd property.

    - #### getMinCheckNum

          public Integer getMinCheckNum()

      Gets the value of the minCheckNum property.
      Returns:
        possible object is `Integer`

    - #### setMinCheckNum

          public void setMinCheckNum(Integer value)

      Sets the value of the minCheckNum property.
      Parameters:
        `value` - allowed object is `Integer`

    - #### getAndClauseNum

          public Integer getAndClauseNum()

      Gets the value of the andClauseNum property.
      Returns:
        possible object is `Integer`

    - #### setAndClauseNum

          public void setAndClauseNum(Integer value)

      Sets the value of the andClauseNum property.
      Parameters:
        `value` - allowed object is `Integer`

    - #### getText

          public ConsultChapterIVTextType getText()

      Gets the value of the text property.
      Returns:
        possible object is `ConsultChapterIVTextType`

    - #### setText

          public void setText(ConsultChapterIVTextType value)

      Sets the value of the text property.
      Parameters:
        `value` - allowed object is `ConsultChapterIVTextType`

    - #### getRequestType

          public String getRequestType()

      Gets the value of the requestType property.
      Returns:
        possible object is `String`

    - #### setRequestType

          public void setRequestType(String value)

      Sets the value of the requestType property.
      Parameters:
        `value` - allowed object is `String`

    - #### getAgreementTerm

          public QuantityType getAgreementTerm()

      Gets the value of the agreementTerm property.
      Returns:
        possible object is `QuantityType`

    - #### setAgreementTerm

          public void setAgreementTerm(QuantityType value)

      Sets the value of the agreementTerm property.
      Parameters:
        `value` - allowed object is `QuantityType`

    - #### getMaxPackageNumber

          public Integer getMaxPackageNumber()

      Gets the value of the maxPackageNumber property.
      Returns:
        possible object is `Integer`

    - #### setMaxPackageNumber

          public void setMaxPackageNumber(Integer value)

      Sets the value of the maxPackageNumber property.
      Parameters:
        `value` - allowed object is `Integer`

    - #### getPurchasingAdvisorQualList

          public ConsultChapterIVQualificationListType getPurchasingAdvisorQualList()

      Gets the value of the purchasingAdvisorQualList property.
      Returns:
        possible object is `ConsultChapterIVQualificationListType`

    - #### setPurchasingAdvisorQualList

          public void setPurchasingAdvisorQualList(ConsultChapterIVQualificationListType value)

      Sets the value of the purchasingAdvisorQualList property.
      Parameters:
        `value` - allowed object is `ConsultChapterIVQualificationListType`

    - #### getLegalReference

          public String getLegalReference()

      Gets the value of the legalReference property.
      Returns:
        possible object is `String`

    - #### setLegalReference

          public void setLegalReference(String value)

      Sets the value of the legalReference property.
      Parameters:
        `value` - allowed object is `String`

    - #### getModificationDate

          public org.joda.time.DateTime getModificationDate()

      Gets the value of the modificationDate property.
      Returns:
        possible object is `String`

    - #### setModificationDate

          public void setModificationDate(org.joda.time.DateTime value)

      Sets the value of the modificationDate property.
      Parameters:
        `value` - allowed object is `String`

    - #### getAgreementYearMax

          public Integer getAgreementYearMax()

      Gets the value of the agreementYearMax property.
      Returns:
        possible object is `Integer`

    - #### setAgreementYearMax

          public void setAgreementYearMax(Integer value)

      Sets the value of the agreementYearMax property.
      Parameters:
        `value` - allowed object is `Integer`

    - #### getAgreementRenewalMax

          public Integer getAgreementRenewalMax()

      Gets the value of the agreementRenewalMax property.
      Returns:
        possible object is `Integer`

    - #### setAgreementRenewalMax

          public void setAgreementRenewalMax(Integer value)

      Sets the value of the agreementRenewalMax property.
      Parameters:
        `value` - allowed object is `Integer`

    - #### getSexRestricted

          public String getSexRestricted()

      Gets the value of the sexRestricted property.
      Returns:
        possible object is `String`

    - #### setSexRestricted

          public void setSexRestricted(String value)

      Sets the value of the sexRestricted property.
      Parameters:
        `value` - allowed object is `String`

    - #### getMinimumAgeAuthorized

          public QuantityType getMinimumAgeAuthorized()

      Gets the value of the minimumAgeAuthorized property.
      Returns:
        possible object is `QuantityType`

    - #### setMinimumAgeAuthorized

          public void setMinimumAgeAuthorized(QuantityType value)

      Sets the value of the minimumAgeAuthorized property.
      Parameters:
        `value` - allowed object is `QuantityType`

    - #### getMaximumAgeAuthorized

          public QuantityType getMaximumAgeAuthorized()

      Gets the value of the maximumAgeAuthorized property.
      Returns:
        possible object is `QuantityType`

    - #### setMaximumAgeAuthorized

          public void setMaximumAgeAuthorized(QuantityType value)

      Sets the value of the maximumAgeAuthorized property.
      Parameters:
        `value` - allowed object is `QuantityType`

    - #### getMaximumContent

          public QuantityType getMaximumContent()

      Gets the value of the maximumContent property.
      Returns:
        possible object is `QuantityType`

    - #### setMaximumContent

          public void setMaximumContent(QuantityType value)

      Sets the value of the maximumContent property.
      Parameters:
        `value` - allowed object is `QuantityType`

    - #### getMaximumStrength

          public QuantityType getMaximumStrength()

      Gets the value of the maximumStrength property.
      Returns:
        possible object is `QuantityType`

    - #### setMaximumStrength

          public void setMaximumStrength(QuantityType value)

      Sets the value of the maximumStrength property.
      Parameters:
        `value` - allowed object is `QuantityType`

    - #### getMaximumDuration

          public QuantityType getMaximumDuration()

      Gets the value of the maximumDuration property.
      Returns:
        possible object is `QuantityType`

    - #### setMaximumDuration

          public void setMaximumDuration(QuantityType value)

      Sets the value of the maximumDuration property.
      Parameters:
        `value` - allowed object is `QuantityType`

    - #### isOtherAddedDocumentInd

          public Boolean isOtherAddedDocumentInd()

      Gets the value of the otherAddedDocumentInd property.
      Returns:
        possible object is `Boolean`

    - #### setOtherAddedDocumentInd

          public void setOtherAddedDocumentInd(Boolean value)

      Sets the value of the otherAddedDocumentInd property.
      Parameters:
        `value` - allowed object is `Boolean`

    - #### getModificationStatus

          public String getModificationStatus()

      Gets the value of the modificationStatus property.
      Returns:
        possible object is `String`

    - #### setModificationStatus

          public void setModificationStatus(String value)

      Sets the value of the modificationStatus property.
      Parameters:
        `value` - allowed object is `String`

    - #### getAddedDocuments

          public List<ConsultChapterIVAddedDocumentType> getAddedDocuments()

      Gets the value of the addedDocuments property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the addedDocuments property.

      For example, to add a new item, do as follows:

              getAddedDocuments().add(newItem);

      Objects of the following type(s) are allowed in the list `ConsultChapterIVAddedDocumentType`

    - #### getVerseSeq

          public int getVerseSeq()

      Gets the value of the verseSeq property.

    - #### setVerseSeq

          public void setVerseSeq(int value)

      Sets the value of the verseSeq property.

    - #### getStartDate

          public org.joda.time.DateTime getStartDate()

      Gets the value of the startDate property.
      Returns:
        possible object is `String`

    - #### setStartDate

          public void setStartDate(org.joda.time.DateTime value)

      Sets the value of the startDate property.
      Parameters:
        `value` - allowed object is `String`

    - #### getEndDate

          public org.joda.time.DateTime getEndDate()

      Gets the value of the endDate property.
      Returns:
        possible object is `String`

    - #### setEndDate

          public void setEndDate(org.joda.time.DateTime value)

      Sets the value of the endDate property.
      Parameters:
        `value` - allowed object is `String`

Connector Packaging PERSNURSE 4.3.0-beta-3 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.